tt_message_scope_set(library call)

NAME
tt_message_scope_set — set the scope attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_scope_set(
Tt_message m,
Tt_scope s);

DESCRIPTION

The tt_message_scope_set function sets the scope attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The s argument identifies the set of processes eligible to receive the message. The following values are defined:

TT_SESSION
    All processes joined to the indicated session are eligible.

TT_FILE
    All processes joined to the indicated file are eligible.

TT_BOTH
    All processes joined to either indicated file or the indicated session are eligible.

TT_FILE_IN_SESSION
    All processes joined to both the indicated file and the indicated session are eligible.

RETURN VALUE

Upon successful completion, the tt_message_scope_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).